Name:		libmdmp
Version:	20170522
Release:	1%{?dist}
Summary:	Library to access the Windows Minidump (MDMP) file format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libmdmp/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool 

%description
libmdmp is a library to access the Windows Minidump (MDMP) file format

%package devel
Summary: Header files and libraries for developing applications for libmdmp
Group: Development/Libraries
Requires: libmdmp = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libmdmp.

%package tools
Summary: Several tools for accessing Windows Minidump files
Group: Applications/System
Requires: libmdmp = %{version}-%{release}

%description tools
Several tools for accessing Windows Minidump files

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmdmp.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/mdmpinfo
%{_mandir}/man1/*

%changelog
* Tue Jul  4 2017 Joachim Metz <joachim.metz@gmail.com> 20170522-1
- Auto-generated

